Typo? Wrong Xcode version?

Forum for developers of plugins to Capture One

Typo? Wrong Xcode version?

Postby jason.dour » Fri Nov 30, 2018 3:11 am

Eagerly downloaded the SDK! Went to test the demo plugin, and it would not compile. It had three errors.

Lines 811, 819, and 840. Each line defining the image to be used.

Instead of (811 as example):

Code: Select all
        action.image = NSImage(named: NSImage.everyoneName)


It needed to be:

Code: Select all
        action.image = NSImage(named: NSImage.Name.everyone)


Is that a typo in the demo? Or am I on a different version of Xcode?

Super excited about the SDK! Tried out the demo. Can't wait to dig in! :)
jason.dour
 
Posts: 7
Joined: Tue Apr 04, 2017 1:47 am

Re: Typo? Wrong Xcode version?

Postby rsirota » Sat Dec 01, 2018 1:11 am

I just download the code and it compiled with no problems. I am using xCode v10.1
rsirota
 
Posts: 25
Joined: Sun Jul 28, 2013 6:28 am
Location: San Jose, CA


Return to Capture One Plugin SDK



Who is online

Users browsing this forum: No registered users and 2 guests

cron